Bug 149055 - foo2zjs driver XML overwritten by foomatic update
foo2zjs driver XML overwritten by foomatic update
Status: CLOSED DUPLICATE of bug 208851
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2005-02-18 05:54 EST by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-08 05:50:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2005-02-18 05:54:05 EST
Please report good or bad experiences here.
Comment 2 Fernando Fernandez Pedraza 2005-04-21 19:31:31 EDT
Hi, Im'not sure if this is the right place or a different bug should be opened.

I have a problem with HP Laserjet 1005 in FC3. It used to work, now it's not
printing anything. foomatic is version 3.0.2-13.4    
Other packages: Omni 0.9.2-1.1, cups 1.1.22-0.rc1.8.5, ghostscript 7.07-33

This is some of the cups error_log:

D [22/Apr/2005:01:09:10 +0200] [Job 19] --> Output goes directly to the renderer
D [22/Apr/2005:01:09:10 +0200] [Job 19] 
D [22/Apr/2005:01:09:10 +0200] [Job 19] 
D [22/Apr/2005:01:09:10 +0200] [Job 19] Starting renderer
D [22/Apr/2005:01:09:10 +0200] [Job 19] JCL: <job data> 
D [22/Apr/2005:01:09:10 +0200] [Job 19] 
D [22/Apr/2005:01:09:10 +0200] [Job 19] renderer PID kid4=3988
D [22/Apr/2005:01:09:10 +0200] [Job 19] renderer command: 
D [22/Apr/2005:01:09:10 +0200] [Job 19] renderer return value: 255
D [22/Apr/2005:01:09:10 +0200] [Job 19] renderer received signal: 255
D [22/Apr/2005:01:09:10 +0200] [Job 19] Process dying with "The renderer command
line returned an unrecognized error code 255.", exit stat: 1
D [22/Apr/2005:01:09:10 +0200] [Job 19] error: Desplazamiento ilegal (29)
D [22/Apr/2005:01:09:10 +0200] [Job 19] The renderer command line returned an
unrecognized error code 255.
D [22/Apr/2005:01:09:10 +0200] [Job 19] 
D [22/Apr/2005:01:09:10 +0200] [Job 19] Closing renderer
D [22/Apr/2005:01:09:10 +0200] [Job 19] KID3 exited with status 1
D [22/Apr/2005:01:09:10 +0200] [Job 19] Renderer exit stat: 1
D [22/Apr/2005:01:09:10 +0200] [Job 19] Renderer process finished
D [22/Apr/2005:01:09:10 +0200] [Job 19] Killing process 3987 (KID3)
D [22/Apr/2005:01:09:10 +0200] [Job 19] Process dying with "Error closing
renderer", exit stat: 1
D [22/Apr/2005:01:09:10 +0200] [Job 19] error: Descriptor de fichero erróneo (9)
D [22/Apr/2005:01:09:10 +0200] [Job 19] Error closing renderer
E [22/Apr/2005:01:09:10 +0200] PID 3985 stopped with status 1!
D [22/Apr/2005:01:09:10 +0200] [Job 19] tail process done writing data to STDOUT
D [22/Apr/2005:01:09:10 +0200] [Job 19] KID4 finished
D [22/Apr/2005:01:09:10 +0200] UpdateJob: job 19, file 0 is complete.
D [22/Apr/2005:01:09:10 +0200] CancelJob: id = 19
D [22/Apr/2005:01:09:10 +0200] StopJob: id = 19, force = 0
D [22/Apr/2005:01:09:10 +0200] StopJob: printer state is 3

Thanks a lot.
Comment 3 Tim Waugh 2005-04-22 05:25:32 EDT
Please attach the output of 'printconf-tui --Xexport', and let me know which
printer you are printing to.  Thanks.
Comment 4 Fernando Fernandez Pedraza 2005-04-22 09:13:39 EDT
Hi again Tim, here it goes:

<?xml version="1.0"?>
<adm_context VERSION="0">
  <id NAME="local" SERIAL="1114123425">
    <printconf TYPE="LIST">
      <print_queues TYPE="LIST">
        <_HP_Laserjet_1005 ATOMIC="TRUE" TYPE="LIST">
          <alias_list ANONYMOUS="TRUE" TYPE="LIST">
          <queue_description TYPE="STRING" VALUE="HP_Laserjet_1005"/>
          <lpoptions TYPE="LIST">
            <page-bottom TYPE="STRING" VALUE="86"/>
            <cpi TYPE="STRING" VALUE="12"/>
            <page-right TYPE="STRING" VALUE="57"/>
            <page-left TYPE="STRING" VALUE="57"/>
            <page-top TYPE="STRING" VALUE="72"/>
            <scaling TYPE="STRING" VALUE="100"/>
            <lpi TYPE="STRING" VALUE="7"/>
            <wrap TYPE="STRING" VALUE="true"/>
          <queue_type TYPE="STRING" VALUE="LOCAL"/>
          <queue_data TYPE="LIST">
            <local_printer_device TYPE="STRING" VALUE="/dev/lp0"/>
          <filter_data TYPE="LIST">
            <mf_type TYPE="STRING" VALUE="MFOMATIC"/>
            <flags TYPE="LIST">
              <assume_data_is_text TYPE="BOOL" VALUE="FALSE"/>
              <rerender_Postscript TYPE="BOOL" VALUE="FALSE"/>
              <convert_text_to_Postscript TYPE="BOOL" VALUE="TRUE"/>
            <printer_id TYPE="STRING" VALUE="HP-LaserJet_1005"/>
            <gs_driver TYPE="STRING" VALUE="foo2zjs"/>
            <foomatic_defaults ANONYMOUS="TRUE" TYPE="LIST">
              <option_default TYPE="LIST">
                <name TYPE="STRING" VALUE="PageSize"/>
                <type TYPE="STRING" VALUE="enum"/>
                <default TYPE="STRING" VALUE="A4"/>
          <filter_type TYPE="STRING" VALUE="MAGICFILTER"/>
      <sharing_globals TYPE="LIST">
        <browsing TYPE="BOOL" VALUE="TRUE"/>

I'm printing to the Laserjet 1005, it's the only printer in the system, and the
exact name given is 'HP_Laserjet_1005'.

Some additional info: 
I'm doing this in the cups init script:
cat /usr/share/foo2zjs/firmware/sihp1005.dl > /dev/lp0 (it's the same firmware
i've using before, and the printer works OK in other non-unix OS.)

Comment 5 Tim Waugh 2005-04-25 09:13:10 EDT
How about if you re-install foo2zjs?  I think this is another instance of bug
#118983, made worse by a recent foomatic change (which has now been reverted
Comment 6 Fernando Fernandez Pedraza 2005-05-29 13:35:15 EDT
Problem solved by re-installing foo2zjs. 
Comment 7 Matthew Miller 2006-07-10 17:30:27 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 8 Tim Waugh 2007-06-08 05:50:58 EDT

*** This bug has been marked as a duplicate of 208851 ***

Note You need to log in before you can comment on or make changes to this bug.